---
{%- from "website/map.jinja" import website with context %}
website-archive-extract:
  archive.extracted:
    - name: {{ website.release_dir }}/website-{{ website.version }}
    - source: {{ website.mirror }}/{{ website.version }}/website-{{ website.version }}.tar.gz
    - skip_verify: True
    - enforce_toplevel: False
    - if_missing: {{ website.release_dir }}/website-{{ website.version }}

website-binary-symlink:
  file.symlink:
    - name: {{ website.install_dir }}/website
    - target: {{ website.release_dir }}/website-{{ website.version }}
    - require:
      - archive: website-archive-extract